Cisco IOS XE Software Web UI Unauthenticated Proxy Service (cisco-sa-webui-unauthprxy-KXXsbWh)

Low Nessus Plugin ID 139327

Synopsis

The remote device is missing a vendor-supplied security patch

Description

According to its self-reported version, Cisco IOS XE Software is affected by a UI unauthenticated proxy service vulnerability. The vulnerability is due to the presence of a proxy service at a specific endpoint of the web UI.
An attacker could exploit this vulnerability by connecting to the proxy service. An exploit could allow the attacker to bypass access restrictions on the network by proxying their access request through the management network of the affected device. As the proxy is reached over the management virtual routing and forwarding (VRF), this could reduce the effectiveness of the bypass.

Please see the included Cisco BIDs and Cisco Security Advisory for more information.

Solution

Upgrade to the relevant fixed version referenced in Cisco bug ID CSCvq90862

See Also

http://www.nessus.org/u?3014ccae

https://bst.cloudapps.cisco.com/bugsearch/bug/CSCvq90862

Plugin Details

Severity: Low

ID: 139327

File Name: cisco-sa-webui-unauthprxy-KXXsbWh-iosxe.nasl

Version: 1.4

Type: local

Family: CISCO

Published: 2020/08/05

Updated: 2020/08/07

Dependencies: 67217

Risk Information

Risk Factor: Low

CVSS Score Source: CVE-2020-3222

CVSS v2.0

Base Score: 3.3

Temporal Score: 2.4

Vector: CVSS2#AV:A/AC:L/Au:N/C:N/I:P/A:N

Temporal Vector: CVSS2#E:U/RL:OF/RC:C

CVSS v3.0

Base Score: 4.3

Temporal Score: 3.8

Vector: CVSS:3.0/AV:A/AC:L/PR:N/UI:N/S:U/C:N/I:L/A:N

Temporal Vector: CVSS:3.0/E:U/RL:O/RC:C

Vulnerability Information

CPE: cpe:/o:cisco:ios_xe

Required KB Items: Host/Cisco/IOS-XE/Version

Exploit Ease: No known exploits are available

Patch Publication Date: 2020/06/03

Vulnerability Publication Date: 2020/06/03

Reference Information

CVE: CVE-2020-3222

CISCO-BUG-ID: CSCvq90862

CISCO-SA: cisco-sa-webui-unauthprxy-KXXsbWh

IAVA: 2020-A-0239

CWE: 17